aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2018-01-05 01:05:10 +0100
committerJakub Jirutka <jakub@jirutka.cz>2018-01-05 01:14:28 +0100
commit9ae12f3c2486f2a83061f1be2ee44c4a98b95ebe (patch)
treebf86a1108520969cb4de7b51dd86684aeb2ba2d7
parent81f5e86821537dafc738cd51e94889621c11bc5e (diff)
downloadaports-9ae12f3c2486f2a83061f1be2ee44c4a98b95ebe.tar.gz
aports-9ae12f3c2486f2a83061f1be2ee44c4a98b95ebe.tar.bz2
aports-9ae12f3c2486f2a83061f1be2ee44c4a98b95ebe.tar.xz
main/graphviz: rename py-graphviz to py2-graphviz
And also declare dependency on python2, because it's not autodiscovered. It seems that graphviz is not compatible with Python 3.6. :(
-rw-r--r--main/graphviz/APKBUILD7
1 files changed, 5 insertions, 2 deletions
diff --git a/main/graphviz/APKBUILD b/main/graphviz/APKBUILD
index 832f14afbe..424966bfee 100644
--- a/main/graphviz/APKBUILD
+++ b/main/graphviz/APKBUILD
@@ -16,7 +16,7 @@ makedepends="$depends_dev flex swig python2-dev m4 libtool
bison gtk+2.0-dev lua$_luaver-dev libltdl tcl autoconf automake"
install="$pkgname.pre-deinstall"
triggers="$pkgname.trigger=/usr/lib/graphviz"
-subpackages="$pkgname-dev $pkgname-doc py-gv:py lua$_luaver-$pkgname:_lua
+subpackages="$pkgname-dev $pkgname-doc py2-gv:py lua$_luaver-$pkgname:_lua
$pkgname-gtk $pkgname-graphs::noarch"
source="$pkgname-$pkgver.tar.bz2::https://gitlab.com/graphviz/$pkgname/repository/stable_release_$pkgver/archive.tar.bz2
$pkgname.trigger
@@ -94,7 +94,10 @@ package() {
}
py() {
- pkgdesc="Python extension for graphviz"
+ pkgdesc="Python2 extension for graphviz"
+ depends="python2"
+ provides="py-$pkgname=$pkgver-r$pkgrel" # for backward compatibility
+ replaces="py-$pkgname" # for backward compatibility
mkdir -p "$subpkgdir"/usr/lib/graphviz \
"$subpkgdir"/usr/lib